package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Event Notification List
 */
@ApiModel(description = "Event Notification List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LogNotificationEditOpenApiV2Vo   {
  @JsonProperty("key")
  private String key;

  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("email")
  private Boolean email;

  @JsonProperty("webhook")
  private Boolean webhook;

  public LogNotificationEditOpenApiV2Vo key(String key) {
    this.key = key;
    return this;
  }

  /**
   * For the values of Log Notification Key, refer to section 5.6.1 of the Open API Access
   * @return key
  */
  @ApiModelProperty(required = true, value = "For the values of Log Notification Key, refer to section 5.6.1 of the Open API Access")
  @NotNull


  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public LogNotificationEditOpenApiV2Vo enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Log Notification Enable or Disable
   * @return enable
  */
  @ApiModelProperty(required = true, value = "Log Notification Enable or Disable")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public LogNotificationEditOpenApiV2Vo email(Boolean email) {
    this.email = email;
    return this;
  }

  /**
   * Log Notification Enable or Disable Email
   * @return email
  */
  @ApiModelProperty(required = true, value = "Log Notification Enable or Disable Email")
  @NotNull


  public Boolean getEmail() {
    return email;
  }

  public void setEmail(Boolean email) {
    this.email = email;
  }

  public LogNotificationEditOpenApiV2Vo webhook(Boolean webhook) {
    this.webhook = webhook;
    return this;
  }

  /**
   * Log Notification Category Enable or Disable Webhook (This config applies to the Omada Pro Controller only and should not bu null)
   * @return webhook
  */
  @ApiModelProperty(value = "Log Notification Category Enable or Disable Webhook (This config applies to the Omada Pro Controller only and should not bu null)")


  public Boolean getWebhook() {
    return webhook;
  }

  public void setWebhook(Boolean webhook) {
    this.webhook = webhook;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LogNotificationEditOpenApiV2Vo logNotificationEditOpenApiV2Vo = (LogNotificationEditOpenApiV2Vo) o;
    return Objects.equals(this.key, logNotificationEditOpenApiV2Vo.key) &&
        Objects.equals(this.enable, logNotificationEditOpenApiV2Vo.enable) &&
        Objects.equals(this.email, logNotificationEditOpenApiV2Vo.email) &&
        Objects.equals(this.webhook, logNotificationEditOpenApiV2Vo.webhook);
  }

  @Override
  public int hashCode() {
    return Objects.hash(key, enable, email, webhook);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LogNotificationEditOpenApiV2Vo {\n");
    
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    webhook: ").append(toIndentedString(webhook)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

